PLplot: tkMain.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
tkMain.c File Reference
`#include "plplotP.h"`
`#include "pltkd.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <tcl.h>`
`#include <tk.h>`

Go to the source code of this file.

## Macros
#define | BUFFER_SIZE 4000

## Functions
EXTERN int Itk_Init | _ANSI_ARGS_ ((Tcl_Interp *interp))
char *strrchr | _ANSI_ARGS_ ((CONST char *string, int c))
static void Prompt | _ANSI_ARGS_ ((Tcl_Interp *interploc, int partial))
static void StdinProc | _ANSI_ARGS_ ((ClientData clientData, int mask))
int | pltkMain (int argc, const char **argv, char *RcFileName, int(*AppInit)(Tcl_Interp *interp))
static void | StdinProc (ClientData PL_UNUSED(clientData), int PL_UNUSED(mask))
static void | Prompt (Tcl_Interp *interploc, int partial)

## Variables
static Tcl_Interp * | interp
static Tcl_DString | command
static int | tty
static char | errorExitCmd [] = "exit 1"
static int | synchronize = 0
static const char * | script = NULL
static const char * | fileName = NULL
static const char * | name = NULL
static const char * | display = NULL
static const char * | geometry = NULL
static Tk_ArgvInfo | argTable []

## Macro Definition Documentation

#define BUFFER_SIZE 4000

## Function Documentation

EXTERN Tcl_Namespace *Tcl_GetGlobalNamespace _ANSI_ARGS_ | ( | (Tcl_Interp *interp) |  | ) |

char* strrchr _ANSI_ARGS_ | ( | (CONST char *string, int c) |  | ) |

static void Prompt _ANSI_ARGS_ | ( | (Tcl_Interp *interploc, int partial) |  | ) |
| static

static void StdinProc _ANSI_ARGS_ | ( | (ClientData clientData, int mask) |  | ) |
| static

int pltkMain | ( | int | argc,
|  | const char ** | argv,
|  | char * | RcFileName,
|  | int(*)(Tcl_Interp *interp) | AppInit
| ) |  |

Definition at line 186 of file tkMain.c.

static void Prompt | ( | Tcl_Interp * | interploc,
|  | int | partial
| ) |  |
| static

Definition at line 602 of file tkMain.c.

static void StdinProc | ( | ClientData | PL_UNUSEDclientData,
|  | int | PL_UNUSEDmask
| ) |  |
| static

Definition at line 496 of file tkMain.c.

## Variable Documentation

Tk_ArgvInfo argTable[]
| static

Initial value:
{
{ "-file", TK_ARGV_STRING, (char *) NULL, (char *) &fileName,
"File from which to read commands" },
{ "-e", TK_ARGV_STRING, (char *) NULL, (char *) &script,
"Script to execute on startup" },
{ "-geometry", TK_ARGV_STRING, (char *) NULL, (char *) &geometry,
"Initial geometry for window" },
{ "-display", TK_ARGV_STRING, (char *) NULL, (char *) &display,
"Display to use" },
{ "-name", TK_ARGV_STRING, (char *) NULL, (char *) &name,
"Name to use for application" },
{ "-sync", TK_ARGV_CONSTANT, (char *) 1, (char *) &synchronize,
"Use synchronous mode for display server" },
{ (char *) NULL, TK_ARGV_END, (char *) NULL, (char *) NULL,
(char *) NULL }
}

Definition at line 141 of file tkMain.c.

Tcl_DString command
| static

Definition at line 123 of file tkMain.c.

const char* display = NULL
| static

Definition at line 138 of file tkMain.c.

char errorExitCmd[] = "exit 1"
| static

Definition at line 128 of file tkMain.c.

const char* fileName = NULL
| static

Definition at line 136 of file tkMain.c.

const char* geometry = NULL
| static

Definition at line 139 of file tkMain.c.

Tcl_Interp* interp
| static

Definition at line 122 of file tkMain.c.

const char* name = NULL
| static

Definition at line 137 of file tkMain.c.

const char* script = NULL
| static

Definition at line 135 of file tkMain.c.

int synchronize = 0
| static

Definition at line 134 of file tkMain.c.

int tty
| static

Definition at line 125 of file tkMain.c.